Create a scorecard group and related scorecards
POST/v1/scorecard-groups
This route creates a scorecard group and the related scorecards under it. Provide either a per-blueprint scorecards map or shared blueprints + rules. Related scorecards are created as {blueprint}_{groupIdentifier} and linked via relations.group.
Pass groupProperties to set additional properties on the scorecard group entity (_scorecard_group blueprint), and scorecardProperties to set additional properties on every related scorecard (_scorecard blueprint). Property keys must match custom properties you added to the corresponding blueprint. Pass groupRelations and scorecardRelations to set additional relations on the same entities; relation keys must match custom relations you added to the corresponding blueprint. On PUT, omitted relation keys are cleared; you can also pass null to clear a specific relation. To learn more, see extend the default scorecards.
This is a closed beta feature. To learn more about scorecards, check out the documentation.
Request
Responses
- 401
- 404
- 413
- 422
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema